package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class WarehouseStockBean {

        /**
         * records : [{"createdBy":111,"createdByName":null,"createdTime":"2020-01-02 16:13:10","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":96,"productId":32,"stockId":15,"quantity":0.744,"lockQuantity":0.256,"version":4,"stockName":"技术中心安阳钢铁未结算库","stockSign":null,"productName":"浸入式水口（方坯）","productSoleCode":"70LTJ568-1001","productSimpleCode":"J568-1","productSpec":"90","productUnit":"支","productWeight":0,"deptId":null,"deptName":null,"quantityDetailList":null,"quantityFlowList":null}]
         * total : 1
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : 111
             * createdByName : null
             * createdTime : 2020-01-02 16:13:10
             * updatedBy : null
             * updatedByName : null
             * updatedTime : null
             * id : 96
             * productId : 32
             * stockId : 15
             * quantity : 0.744
             * lockQuantity : 0.256
             * version : 4
             * stockName : 技术中心安阳钢铁未结算库
             * stockSign : null
             * productName : 浸入式水口（方坯）
             * productSoleCode : 70LTJ568-1001
             * productSimpleCode : J568-1
             * productSpec : 90
             * productUnit : 支
             * productWeight : 0.0
             * deptId : null
             * deptName : null
             * quantityDetailList : null
             * quantityFlowList : null
             */

            private int createdBy;
            private Object createdByName;
            private String createdTime;
            private Object updatedBy;
            private Object updatedByName;
            private Object updatedTime;
            private int id;
            private int productId;
            private int stockId;
            private double quantity;
            private double lockQuantity;
            private int version;
            private String stockName;
            private Object stockSign;
            private String productName;
            private String productSoleCode;
            private String productSimpleCode;
            private String productSpec;
            private String productUnit;
            private double productWeight;
            private Object deptId;
            private Object deptName;
            private Object quantityDetailList;
            private Object quantityFlowList;


            public int getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(int createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public Object getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(Object updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public Object getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(Object updatedTime) {
                this.updatedTime = updatedTime;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getProductId() {
                return productId;
            }

            public void setProductId(int productId) {
                this.productId = productId;
            }

            public int getStockId() {
                return stockId;
            }

            public void setStockId(int stockId) {
                this.stockId = stockId;
            }

            public double getQuantity() {
                return quantity;
            }

            public void setQuantity(double quantity) {
                this.quantity = quantity;
            }

            public double getLockQuantity() {
                return lockQuantity;
            }

            public void setLockQuantity(double lockQuantity) {
                this.lockQuantity = lockQuantity;
            }

            public int getVersion() {
                return version;
            }

            public void setVersion(int version) {
                this.version = version;
            }

            public String getStockName() {
                return stockName;
            }

            public void setStockName(String stockName) {
                this.stockName = stockName;
            }

            public Object getStockSign() {
                return stockSign;
            }

            public void setStockSign(Object stockSign) {
                this.stockSign = stockSign;
            }

            public String getProductName() {
                return productName;
            }

            public void setProductName(String productName) {
                this.productName = productName;
            }

            public String getProductSoleCode() {
                return productSoleCode;
            }

            public void setProductSoleCode(String productSoleCode) {
                this.productSoleCode = productSoleCode;
            }

            public String getProductSimpleCode() {
                return productSimpleCode;
            }

            public void setProductSimpleCode(String productSimpleCode) {
                this.productSimpleCode = productSimpleCode;
            }

            public String getProductSpec() {
                return productSpec;
            }

            public void setProductSpec(String productSpec) {
                this.productSpec = productSpec;
            }

            public String getProductUnit() {
                return productUnit;
            }

            public void setProductUnit(String productUnit) {
                this.productUnit = productUnit;
            }

            public double getProductWeight() {
                return productWeight;
            }

            public void setProductWeight(double productWeight) {
                this.productWeight = productWeight;
            }

            public Object getDeptId() {
                return deptId;
            }

            public void setDeptId(Object deptId) {
                this.deptId = deptId;
            }

            public Object getDeptName() {
                return deptName;
            }

            public void setDeptName(Object deptName) {
                this.deptName = deptName;
            }

            public Object getQuantityDetailList() {
                return quantityDetailList;
            }

            public void setQuantityDetailList(Object quantityDetailList) {
                this.quantityDetailList = quantityDetailList;
            }

            public Object getQuantityFlowList() {
                return quantityFlowList;
            }

            public void setQuantityFlowList(Object quantityFlowList) {
                this.quantityFlowList = quantityFlowList;
            }
        }
}
